> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numeral.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a Customer

> Retrieve the details of a specific customer

## Get Customer Endpoint (2024-09-01)

Retrieve the details of a specific customer using its ID.


## OpenAPI

````yaml GET /tax/customers/{customer_id}
openapi: 3.0.1
info:
  title: Numeral API
  description: API for sales tax calculations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.numeralhq.com/
security:
  - bearerAuth: []
paths:
  /tax/customers/{customer_id}:
    get:
      description: Retrieve the details of a specific customer
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the customer to retrieve
          example: cus_1234-65423
        - name: id_type
          in: query
          required: false
          schema:
            type: string
            enum:
              - id
              - reference_customer_id
            default: id
          description: >-
            The type of identifier provided in the path. Use `id` (the default)
            to look up by the Numeral customer ID, or `reference_customer_id` to
            look up by your own reference customer ID.
          example: reference_customer_id
      responses:
        '200':
          description: Customer details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CustomerResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the customer
          example: cus_123456789
        object:
          type: string
          description: 'The type of object: `tax.customer`'
          example: tax.customer
        reference_customer_id:
          type: string
          description: The ID of the customer in your system
          example: '20506'
        name:
          type: string
          description: The name of the created customer
          example: Customer Name
        email:
          type: string
          description: The email of the created customer
          example: customer@example.com
        is_tax_exempt:
          type: boolean
          description: >-
            If true, all `POST /tax/calculations` sold to this customer will
            return $0 in tax owed. The default value is `false`.
          example: true
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            error_code:
              type: string
            error_message:
              type: string
            error_meta:
              type: object
              properties:
                field:
                  type: string
                expected:
                  type: string
                received:
                  type: string
        request_id:
          type: string
          description: The ID of the request
          example: req_123456789
      example:
        error:
          error_code: missing_field
          error_message: Field is required
          error_meta:
            field: path.to.fieldname
            expected: string
            received: undefined
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````